package com.immomo.cosmos.bean;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

import java.util.Map;

/**
 * @description:
 * @author: wang.jianwen
 * @create: 2020-04-24 18:56
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
public class CAImg extends CAText{
    private String redirect;

    public CAImg(String timestamp, String category, Map<String, String[]> detail, String uniqid, String redirect) {
        super(timestamp, category, detail, uniqid);
        this.redirect = StringUtils.isEmpty(redirect) ? StringUtils.EMPTY : redirect;
    }
}
