package com.immomo.cosmos.bean;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

import java.util.Map;

/**
 * @description:
 * @author: wang.jianwen
 * @create: 2020-04-24 18:53
 **/
@Data
@NoArgsConstructor
public class CAText {
    private String timestamp;
    private String category;
    private Map<String, String[]> detail;
    private String uniqid;

    public CAText(String timestamp, String category, Map<String, String[]> detail, String uniqid) {
        this.timestamp = timestamp;
        this.category = category;
        this.detail = detail;
        this.uniqid = StringUtils.isEmpty(uniqid) ? StringUtils.EMPTY : uniqid;
    }
}
