package com.immomo.cosmos.bean;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

import java.util.Map;

/**
 * @description:
 * @author: wang.jianwen
 * @create: 2020-04-24 19:35
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
public class CAVideo extends CAImg{
    private String source;

    public CAVideo(String timestamp, String category, Map<String, String[]> detail,
                   String uniqid, String redirect, String source) {
        super(timestamp, category, detail, uniqid, redirect);
        this.source = StringUtils.isEmpty(source) ? StringUtils.EMPTY : source;
    }
}
