package check.test;

import com.alibaba.fastjson.JSON;
import com.google.common.collect.ImmutableMap;
import com.google.common.collect.Maps;
import com.immomo.cosmos.CheckAuthUtils;

import java.io.IOException;

/**
 * @description:
 * @author: wang.jianwen
 * @create: 2020-04-26 10:34
 **/
public class AudioDemo {
    public static void main(String[] args) {
        String appId = "你的appid";
        String appKey = "你的appkey";
        String category = '场景key';
        try {
            String s = CheckAuthUtils.checkAudio(appKey,
                    appId,
                    String.valueOf(System.currentTimeMillis()),
                    category,
                    Maps.newHashMap(ImmutableMap.of("audio",
                            new String[]{"http://m701.music.126.net/20200426110811/1fda77d07103002dc34df0c654c775c4/jdymusic/obj/w5zDlMODwrDDiGjCn8Ky/2180586519/98b2/4d51/b6d3/c8c65de6a0bf053a2cd94d1f9473d069.mp3"})),
                    "123124", "url");
            System.out.println(s);
            String data = JSON.parseObject(s).getString("data");
            String decrypt = CheckAuthUtils.decrypt(data, appKey);
            System.out.println(decrypt);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
