package check.test;

import com.alibaba.fastjson.JSON;
import com.google.common.collect.ImmutableMap;
import com.google.common.collect.Maps;
import com.immomo.cosmos.CheckAuthUtils;

import java.io.IOException;

/**
 * @description:
 * @author: wang.jianwen
 * @create: 2020-04-24 19:02
 **/
public class ImgDemo {
    public static void main(String[] args) {
        String appId = "你的appid";
        String appKey = "你的appkey";
        String category = '场景key';
        try {
            String s = CheckAuthUtils.checkImg(appKey,
                    appId,
                    String.valueOf(System.currentTimeMillis()),
                    category,
                    Maps.newHashMap(ImmutableMap.of("image",
                            new String[]{"https://imgslim.geekpark.net/uploads/image/file/39/8e/398ee0c4f207894c61e2d6b637b91b9f.jpg", "https://imgslim.geekpark.net/uploads/image/file/39/8e/398ee0c4f207894c61e2d6b637b91b9f.jpg"})),
                    "123124", "url");
            System.out.println(s);
            String data = JSON.parseObject(s).getString("data");
            String decrypt = CheckAuthUtils.decrypt(data, appKey);
            System.out.println(decrypt);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
