package check.test;

import com.alibaba.fastjson.JSON;
import com.google.common.collect.ImmutableMap;
import com.google.common.collect.Maps;
import com.immomo.cosmos.CheckAuthUtils;

import java.io.IOException;

/**
 * @description:
 * @author: wang.jianwen
 * @create: 2020-04-24 19:44
 **/
public class VideoDemo {
    public static void main(String[] args) {
        String appId = "你的appid";
        String appKey = "你的appkey";
        String category = '场景key';
        try {
            String s = CheckAuthUtils.checkVideo(appKey,
                    appId,
                    String.valueOf(System.currentTimeMillis()),
                    category,
                    Maps.newHashMap(ImmutableMap.of("video",
                            new String[]{"http://cosmos.momocdn.com/cosmos/EA/18/EA185297-5D35-4FC1-9917-6A6F85C54B1020200417.mp4"})),
                    "123124", "url", "source");
            System.out.println(s);
            String data = JSON.parseObject(s).getString("data");
            String decrypt = CheckAuthUtils.decrypt(data, appKey);
            System.out.println(decrypt);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
